use kartsimrust::{
    character::create_character,
    class::Class,
    combat::EncounterType,
    equipment::{Armor, WeaponType},
    stats::StatBlock,
};

fn main() {
    let mut bob = create_character(
        String::from("Bob"),
        Class::Hunter,
        Class::Knight,
        StatBlock::from((1, 0, 1, 0, 0, 0, 0, 0)),
        StatBlock::from((2, 0, 2, 0, -1, -2, 0, -1)),
        Armor::Medium,
        WeaponType::BladedWeapon.create_weapon("Longsword".to_owned()),
    );

    let mut glob = create_character(
        String::from("Glob"),
        Class::Guard,
        Class::Brawler,
        StatBlock::from((1, 0, 1, 0, 0, 0, 0, 0)),
        StatBlock::from((2, 0, 2, 0, -1, -2, 0, -1)),
        Armor::Medium,
        WeaponType::BladedWeapon.create_weapon("Longsword".to_owned()),
    );

    bob.init_dice_pool(EncounterType::Physical);
    glob.init_dice_pool(EncounterType::Physical);

    println!("{}", bob);
    println!("{}", glob);

    bob.attacks(&mut glob);

    println!("{}", bob);
    println!("{}", glob);
}
